#include "Help.h"
#include <iostream>

void displayHelp() {
    std::cout << "Usage: ./EncryptDecrypt <operation> <algorithm> <file> <key>\n";
    std::cout << "Arguments:\n";
    std::cout << "  <operation>: 'encrypt' or 'decrypt'. Specifies whether to encrypt or decrypt the file.\n";
    std::cout << "  <algorithm>: Choose from 'caesar', 'xor', or 'vigenere'. Specifies the encryption algorithm.\n";
    std::cout << "  <file>: Path to the text file to encrypt or decrypt.\n";
    std::cout << "  <key>: The key for encryption/decryption:\n";
    std::cout << "         - Caesar Cipher: An integer key.\n";
    std::cout << "         - XOR Cipher: A single character key.\n";
    std::cout << "         - Vigenère Cipher: A string key.\n";
    std::cout << "Examples:\n";
    std::cout << "  Encrypt a file using Caesar Cipher: ./EncryptDecrypt encrypt caesar file.txt 16\n";
    std::cout << "  Decrypt a file using XOR Cipher: ./EncryptDecrypt decrypt xor file.txt X\n";
    std::cout << "  Encrypt a file using Vigenère Cipher: ./EncryptDecrypt encrypt vigenere file.txt secret\n";
}
